/*
 * Created on Oct 23, 2003
 */
package portaview.model;

/**
 * Represents a photo model, or "M" in the MVC layer in the PortaView manager..
 * 
 * @author William Lee
 */
public class PhotoModel extends ImageModel
{
    private AlbumModel album = null;
    private String name = "(default)";
    
    /**
     * Constructs a Photo in a given album.
     * @param a
     */
    public PhotoModel(AlbumModel a, String name)
    {
        this.name = name;
        this.album = a;
    }
    
    /**
     * @return the AlbumModel.
     */
    public AlbumModel getAlbum()
    {
        return album;
    }

    /**
     * Sets the album model.
     * @param model model to set.
     */
    public void setAlbum(AlbumModel model)
    {
        album = model;
    }

}
