/*
 * Created on Oct 12, 2003
 * Copyright (c) 2003.  All rights reserved.
 */
package portaview.model;

/**
 * Interface for data types that can be translated to XmlRpcType.
 * @author <a href="mailto:wwlee1@uiuc.edu">William Lee</a>
 * @version $Id: XmlRpcType.java,v 1.1 2003/10/13 14:55:47 wlee Exp $
 */
public interface XmlRpcType
{
	/**
	 * Returns an object that can be used in the XmlRpc calls.
	 * @return object of XmlRpc type.
	 */
	public Object toXmlRpcType();
}
