/*
 * Created on Sep 19, 2003
 * Copyright (c) 2003 William Lee.  All rights reserved.
 */
package portaview;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

/**
 * General utilities.
 *
 * @author <a href="mailto:wwlee1@uiuc.edu">William Lee</a>
 * @version $Id: WindowUtils.java,v 1.1.1.1 2003/09/28 21:14:33 wlee Exp $
 */
public class WindowUtils
{
	public static void addClosingListener(JFrame frame)
	{
		frame.addWindowListener(new WindowAdapter()
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}

			public void windowDeiconified(WindowEvent e)
			{
			}

			public void windowIconified(WindowEvent e)
			{
			}
		});
	}
}
