/*
 * Created on Oct 29, 2003
 */
package portaview.model;

/**
 * Represents a collection of AlbumModel.  Note that this is observable so 
 * changes can be observed by a third party view or controller.
 * @author William Lee
 */
public class AlbumCollection extends ObservableCollection
{
    public synchronized void removeAlbum(AlbumModel am)
    {
        remove(am);
    }
    
    public synchronized void addAlbum(AlbumModel am)
    {
        add(am);
    }
}
