/*
 * Created on Oct 22, 2003
 */
package portaview.model;

import java.util.Observable;

/**
 * Top level domain model object.
 * @author William Lee
 */
public class DomainModel extends Observable
{
    /**
     * Set changed, then force notify its observers.
     */
    public void forceNotifyObservers()
    {
        setChanged();
        notifyObservers();
    }
}
