/*
 * Created on Oct 27, 2003
 */
package portaview.model;



/**
 * Implements a list for PortaView that can be observed.
 * @author William Lee
 */
public class PortaViewCollection extends ObservableCollection
{
    
    /**
     * Removes the PortaView and fire the event.
     * @param pvm PortaView to remove.
     */
    public synchronized void removePortaView(PortaViewModel pvm)
    {
        remove(pvm);
    }
    
    /**
     * Adds the PortaView and fire the event.
     * @param pvm PortaView to add.
     */
    public synchronized void addPortaView(PortaViewModel pvm)
    {
        add(pvm);
    }

}
