/*
 * Created on Sep 28, 2003
 * Copyright (c) 2003.  All rights reserved.
 */
package test.portaview;

/**
 * Utilities for testing.
 * @author <a href="mailto:wwlee1@uiuc.edu">William Lee</a>
 * @version $Id: TUtils.java,v 1.1 2003/09/29 04:07:11 wlee Exp $
 */
public class TUtils
{

	/**
	 * Returns true if the two byte arrays are equal.
	 * @param a first array to compare
	 * @param b second array
	 * @return true if a equals b byte by byte.
	 */
	public static boolean bytesEqual(byte[] a, byte[] b)
	{
		if (a == null && b == null)
			return true;
		if (a == null && b != null)
			return false;
		if (a != null && b == null)
			return false;
		if (a.length != b.length)
			return false;
		for (int i = 0; i < a.length; i++)
		{
			if (a[i] != b[i])
			{
				return false;
			}
		}
		return true;
	}
}
